# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hashie"
  s.version = "3.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Michael Bleigh", "Jerry Cheung"]
  s.date = "2018-08-13"
  s.description = "Hashie is a collection of classes and mixins that make hashes more powerful."
  s.email = ["michael@intridea.com", "jollyjerry@gmail.com"]
  s.files = [".yardopts", "CHANGELOG.md", "CONTRIBUTING.md", "LICENSE", "README.md", "Rakefile", "UPGRADING.md", "hashie.gemspec", "lib/hashie.rb", "lib/hashie/array.rb", "lib/hashie/clash.rb", "lib/hashie/dash.rb", "lib/hashie/extensions/array/pretty_inspect.rb", "lib/hashie/extensions/coercion.rb", "lib/hashie/extensions/dash/coercion.rb", "lib/hashie/extensions/dash/indifferent_access.rb", "lib/hashie/extensions/dash/property_translation.rb", "lib/hashie/extensions/deep_fetch.rb", "lib/hashie/extensions/deep_find.rb", "lib/hashie/extensions/deep_locate.rb", "lib/hashie/extensions/deep_merge.rb", "lib/hashie/extensions/ignore_undeclared.rb", "lib/hashie/extensions/indifferent_access.rb", "lib/hashie/extensions/key_conversion.rb", "lib/hashie/extensions/mash/keep_original_keys.rb", "lib/hashie/extensions/mash/safe_assignment.rb", "lib/hashie/extensions/mash/symbolize_keys.rb", "lib/hashie/extensions/merge_initializer.rb", "lib/hashie/extensions/method_access.rb", "lib/hashie/extensions/parsers/yaml_erb_parser.rb", "lib/hashie/extensions/pretty_inspect.rb", "lib/hashie/extensions/ruby_version.rb", "lib/hashie/extensions/ruby_version_check.rb", "lib/hashie/extensions/strict_key_access.rb", "lib/hashie/extensions/stringify_keys.rb", "lib/hashie/extensions/symbolize_keys.rb", "lib/hashie/hash.rb", "lib/hashie/logger.rb", "lib/hashie/mash.rb", "lib/hashie/railtie.rb", "lib/hashie/rash.rb", "lib/hashie/trash.rb", "lib/hashie/utils.rb", "lib/hashie/version.rb", "spec/hashie/array_spec.rb", "spec/hashie/clash_spec.rb", "spec/hashie/dash_spec.rb", "spec/hashie/extensions/autoload_spec.rb", "spec/hashie/extensions/coercion_spec.rb", "spec/hashie/extensions/dash/coercion_spec.rb", "spec/hashie/extensions/dash/indifferent_access_spec.rb", "spec/hashie/extensions/deep_fetch_spec.rb", "spec/hashie/extensions/deep_find_spec.rb", "spec/hashie/extensions/deep_locate_spec.rb", "spec/hashie/extensions/deep_merge_spec.rb", "spec/hashie/extensions/ignore_undeclared_spec.rb", "spec/hashie/extensions/indifferent_access_spec.rb", "spec/hashie/extensions/indifferent_access_with_rails_hwia_spec.rb", "spec/hashie/extensions/key_conversion_spec.rb", "spec/hashie/extensions/mash/keep_original_keys_spec.rb", "spec/hashie/extensions/mash/safe_assignment_spec.rb", "spec/hashie/extensions/mash/symbolize_keys_spec.rb", "spec/hashie/extensions/merge_initializer_spec.rb", "spec/hashie/extensions/method_access_spec.rb", "spec/hashie/extensions/strict_key_access_spec.rb", "spec/hashie/extensions/stringify_keys_spec.rb", "spec/hashie/extensions/symbolize_keys_spec.rb", "spec/hashie/hash_spec.rb", "spec/hashie/mash_spec.rb", "spec/hashie/parsers/yaml_erb_parser_spec.rb", "spec/hashie/rash_spec.rb", "spec/hashie/trash_spec.rb", "spec/hashie/utils_spec.rb", "spec/hashie/version_spec.rb", "spec/hashie_spec.rb", "spec/integration/elasticsearch/integration_spec.rb", "spec/integration/omniauth-oauth2/app.rb", "spec/integration/omniauth-oauth2/integration_spec.rb", "spec/integration/omniauth-oauth2/some_site.rb", "spec/integration/omniauth/app.rb", "spec/integration/omniauth/integration_spec.rb", "spec/integration/rails-without-dependency/integration_spec.rb", "spec/integration/rails/app.rb", "spec/integration/rails/integration_spec.rb", "spec/spec_helper.rb", "spec/support/integration_specs.rb", "spec/support/logger.rb", "spec/support/module_context.rb", "spec/support/ruby_version_check.rb"]
  s.homepage = "https://github.com/intridea/hashie"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "Your friendly neighborhood hash library."
  s.test_files = ["spec/hashie/parsers/yaml_erb_parser_spec.rb", "spec/hashie/array_spec.rb", "spec/hashie/hash_spec.rb", "spec/hashie/version_spec.rb", "spec/hashie/clash_spec.rb", "spec/hashie/mash_spec.rb", "spec/hashie/extensions/stringify_keys_spec.rb", "spec/hashie/extensions/deep_locate_spec.rb", "spec/hashie/extensions/coercion_spec.rb", "spec/hashie/extensions/mash/safe_assignment_spec.rb", "spec/hashie/extensions/mash/symbolize_keys_spec.rb", "spec/hashie/extensions/mash/keep_original_keys_spec.rb", "spec/hashie/extensions/key_conversion_spec.rb", "spec/hashie/extensions/ignore_undeclared_spec.rb", "spec/hashie/extensions/autoload_spec.rb", "spec/hashie/extensions/strict_key_access_spec.rb", "spec/hashie/extensions/deep_fetch_spec.rb", "spec/hashie/extensions/method_access_spec.rb", "spec/hashie/extensions/deep_find_spec.rb", "spec/hashie/extensions/deep_merge_spec.rb", "spec/hashie/extensions/merge_initializer_spec.rb", "spec/hashie/extensions/indifferent_access_with_rails_hwia_spec.rb", "spec/hashie/extensions/dash/coercion_spec.rb", "spec/hashie/extensions/dash/indifferent_access_spec.rb", "spec/hashie/extensions/symbolize_keys_spec.rb", "spec/hashie/extensions/indifferent_access_spec.rb", "spec/hashie/rash_spec.rb", "spec/hashie/utils_spec.rb", "spec/hashie/dash_spec.rb", "spec/hashie/trash_spec.rb", "spec/spec_helper.rb", "spec/integration/rails-without-dependency/integration_spec.rb", "spec/integration/omniauth-oauth2/integration_spec.rb", "spec/integration/omniauth-oauth2/app.rb", "spec/integration/omniauth-oauth2/some_site.rb", "spec/integration/omniauth/integration_spec.rb", "spec/integration/omniauth/app.rb", "spec/integration/elasticsearch/integration_spec.rb", "spec/integration/rails/integration_spec.rb", "spec/integration/rails/app.rb", "spec/support/module_context.rb", "spec/support/logger.rb", "spec/support/integration_specs.rb", "spec/support/ruby_version_check.rb", "spec/hashie_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["< 11"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<rspec-pending_for>, ["~> 0.1"])
    else
      s.add_dependency(%q<rake>, ["< 11"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<rspec-pending_for>, ["~> 0.1"])
    end
  else
    s.add_dependency(%q<rake>, ["< 11"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<rspec-pending_for>, ["~> 0.1"])
  end
end

